module WoWHeadHelper
  include JsonHelper
  
  def browse_spells(spell_cat)
    response = Net::HTTP.get(URI.parse("http://www.wowhead.com/?spells=#{spell_cat}"))
    unless response
      raise "Data not available for #{spell_cat}"
    end
    data_block = response.scan(/new Listview\((.*?)\);/).first;
    if data_block.nil?
      raise "No search results found"
    end
    data_block = data_block.first
    data_block.gsub!(/sprintf\(LANG.*?,.*?\)/,"''")
    return from_json(data_block)
  end
  def search_objects(search_id)
    response = Net::HTTP.get(URI.parse("http://www.wowhead.com/?objects=#{search_id}"))
    unless response
      raise "Data not available for #{search_id}"
    end
    lst = response.scan(/Listview.(.*).;/).first
    if lst.nil?
      raise "No search results found"
    end
    data = lst.first
    return from_json(data)[:data]
  end  
end